Name:		perl-Crypt-DES
Version:	2.03
Release:	8mdk
License:	GPL or Artistic

%define realname	Crypt-DES
Group:		Development/Perl
Summary:	An XS based DES implementation for Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Crypt/%{realname}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-Crypt-CBC

%description
an XS-based DES implementation for Perl.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

#For the full test suite to run, Crypt::CBC, version 1.22 or higher
#is required (recommended is 1.25 or higher)
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST README COPYRIGHT
%{perl_vendorlib}/*/Crypt
%{perl_vendorlib}/*/auto/Crypt
%{_mandir}/man3/*

%changelog

* Thu Feb 12 2004 Michael Scherer <misc@mandrake.org> 2.03-8mdk
- do not own standard dir
- enable test
 
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.03-7mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- ues %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.03-6mdk
- rebuild for new auto{prov,req}

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.03-5mdk
- rebuild

* Fri Jan 24 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-4mdk
- rebuilt

* Mon Aug 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.03-3mdk
- rebuilt against new perl

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.03-2mdk
- 2.03

* Fri Mar  8 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.03-1mdk
- First MandrakeSoft Package
